<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
        <button type="button" class="btn btn-success px-3 py-2 mb-1 mr-1" (click)="guardar()"
        [disabled]="ngForm.invalid">
          <i class="fa fa-save mr-2"></i>Guardar
        </button>
        <button type="button" class="btn btn-primary px-3 py-2 mb-1 mr-1" (click)="nuevo()">
          <i class="fa fa-plus mr-2"></i>Nuevo
        </button>
      </app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">

      <div class="row">
        <div class="col-6 col-sm-6 col-md-3 col-lg-3 col-xl-3">
          <label>Ajuste</label>
          <kendo-combobox [data]="ajusteDrop"
                          [textField]="'text'"
                          [valueField]="'text'"
                          placeholder = "Selección Ajuste"
                          class="form-control"
                          [(ngModel)]="ajusteDropSelec"
                          [ngModelOptions]="{standalone: true}">
          </kendo-combobox>
        </div>
        <div class="col-6 col-sm-6 col-md-3 col-lg-3 col-xl-3">
          <label>Código</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="Codigo" [(ngModel)]="Codigo"
            [readonly]="!ajusteDropSelec">
            <div class="input-group-append">
              <button class="btn btn-outline-secondary" type="button"
              (click)="openModal(modal, ajusteDropSelec.value)" [disabled]="!ajusteDropSelec">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="col-6 col-sm-6 col-md-3 col-lg-3 col-xl-3">
          <label>Desde</label>
          <kendo-datepicker formControlName="Fecha"
                            [format]="formatKendo"
                            class="form-control">
          </kendo-datepicker>
        </div>
        <div class="col-6 col-sm-6 col-md-3 col-lg-3 col-xl-3">
          <label>Tipo de Cuarto</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="Tipo">
            <div class="input-group-append">
              <button class="btn btn-outline-secondary" type="button" (click)="openModal(modal, 'crt')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
      </div>

    <div class="row">
      <div class="form-group col-6 col-sm-6 col-md-3 col-lg-3 col-xl-3 mt-2">
        <label class="w-100">Cuartos</label>
        <input type="number" class="form-control" formControlName="nctos" min="0" max="999999">
      </div>
      <div class="form-group col-6 col-sm-6 col-md-3 col-lg-3 col-xl-3 mt-2">
        <label class="w-100">Adultos</label>
        <input type="number" class="form-control" formControlName="Adultos" min="0" max="999999">
      </div>
      <div class="form-group col-6 col-sm-6 col-md-3 col-lg-3 col-xl-3 mt-2">
        <label class="w-100">Juniors</label>
        <input type="number" class="form-control" formControlName="Juniors" min="0" max="999999">
      </div>
      <div class="form-group col-6 col-sm-6 col-md-3 col-lg-3 col-xl-3 mt-2">
        <label class="w-100">Men. C/C</label>
        <input type="number" class="form-control" formControlName="MenorCC" min="0" max="999999">
      </div>
      <div class="form-group col-6 col-sm-6 col-md-3 col-lg-3 col-xl-3">
        <label class="w-100">Menores</label>
        <input type="number" class="form-control" formControlName="Menores" min="0" max="999999">
      </div>
    </div>

    <div class="divider"></div>

    <div class="row">
      <div class="col-6" *ngFor="let i of TiposMovimientosNom; let indice = index">
        <div class="row">
          <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
            <label class="w-100">{{TiposMovimientosNom[indice]}}</label>
            <input class="form-control" type="number" min="0" [(ngModel)]="ngForm.value.aIng[indice]"
            [ngModelOptions]="{standalone: true}" [disabled]="i.TiposMovimientosNom === 'FORMAS DE PAGO'"
            max="999999999">
          </div>
          <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
            <label class="w-100"></label>
            <input class="form-control mt-2" type="number" min="0" [(ngModel)]="ngForm.value.aImp[indice]"
            [ngModelOptions]="{standalone: true}" [disabled]="i.TiposMovimientosNom === 'FORMAS DE PAGO'"
            max="999999999">
          </div>
        </div>
      </div>
    </div>

    </form>

    <div class="divider"></div>

    <div *ngIf="!loading">
      <kendo-grid [kendoGridBinding]="dataGrid"
                  [selectable]="true"
                  [resizable]="true"
                  [navigable]="true"
                  [pageSize]="pageSize"
                  [sortable]="true"
                  filterable="true"
                  [filter]="filter"
                  [skip]="skip"
                  (selectionChange)="selectRow($event)"
                  [pageable]="{buttonCount: 5,
                               pageSizes: [10, 25, 50]}"
                  (pageChange)="pageChange($event)"
                  Style = "height: 50vh;"
                  #grid>
        <ng-container *ngIf="dataGrid.length !== 0">

          <kendo-grid-column field="Ajuste" title="Ajuste" width="100" filterable="true">
          </kendo-grid-column>

          <kendo-grid-column field="Fecha" title="Fecha" width="140" filterable="true">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.Fecha | date: formatKendo }}
            </ng-template>
          </kendo-grid-column>

          <kendo-grid-column field="Codigo" title="Código" width="150" filterable="true">
          </kendo-grid-column>
          <kendo-grid-column field="Tipo" title="Tipo" width="130" filterable="true">
          </kendo-grid-column>
          <kendo-grid-column field="nctos" title="Cuartos" width="100">
          </kendo-grid-column>
          <kendo-grid-column field="Adultos" title="Adultos" width="100">
          </kendo-grid-column>
          <kendo-grid-column field="Juniors" title="Juniors" width="100">
          </kendo-grid-column>
          <kendo-grid-column field="Menores" title="Menores" width="100">
          </kendo-grid-column>
          <kendo-grid-column field="MenorCC" title="Men. C/C" width="100">
          </kendo-grid-column>
          <kendo-grid-command-column width="130">
            <ng-template kendoGridCellTemplate let-dataItem>
              <button class="btn btn-danger ml-1" (click)="eliminar(dataItem)">
                <i class="fas fa-trash-alt mr-1"></i>Eliminar
              </button>
            </ng-template>
          </kendo-grid-command-column>
        </ng-container>
        <ng-template kendoGridNoRecordsTemplate>
          {{ noRecords }}
        </ng-template>
      </kendo-grid>

    </div>
<app-loading *ngIf="loading"></app-loading>

  </div>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-graf">{{ modalTitle }}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">

    <app-help-tipo-cuartos (result)="getDataModal($event, 'crt'); c('Close')" [virtual]="false"
                           *ngIf="modalType === 'crt'"></app-help-tipo-cuartos>
    <app-help-agencia (agencia)="getDataModal($event, 'PA'); c('Close')" *ngIf="modalType === 'PA'"></app-help-agencia>
    <app-help-empresa (empresa)="getDataModal($event, 'PE'); c('Close')" *ngIf="modalType === 'PE'"></app-help-empresa>
    <app-help-segmentos (result)="getDataModal($event, 'SM'); c('Close')"
                        *ngIf="modalType === 'SM'"></app-help-segmentos>
    <app-help-estado (estado)="getDataModal($event, 'OG'); c('Close')" *ngIf="modalType === 'OG'"></app-help-estado>
    <app-help-origen-reservacion (oResev)="getDataModal($event, 'OR'); c('Close')"
                                 *ngIf="modalType === 'OR'"></app-help-origen-reservacion>

  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>
